servant-0.16.2: A family of combinators for defining webservices APIs

Safe Haskell | Safe
Language | Haskell2010

Servant.API.Raw

Synopsis

- data Raw

# Documentation

data Raw Source #

Endpoint for plugging in your own Wai `Application`s.

The given `Application` will get the request as received by the server, potentially with a modified (stripped) `pathInfo` if the `Application` is being routed with `:>`.

In addition to just letting you plug in your existing WAI `Application`s, this can also be used with serveDirectory to serve static files stored in a particular directory on your filesystem

#### Instances

Instances details

HasLink Raw Source # |
Instance details Defined in Servant.Links Associated Types type MkLink Raw a Source # Methods toLink :: (Link -> a) -> Proxy Raw -> Link -> MkLink Raw a Source #
type MkLink Raw a Source # |
Instance details Defined in Servant.Links type MkLink Raw a = a